This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258848 - Add details to error message when failing to create a new POSIX domain
Add details to error message when failing to create a new POSIX domain
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
x86_64 Unspecified
unspecified Severity low
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Tal Nisan
Aharon Canan
storage
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 08:09 EDT by Natalie Gavrielov
Modified: 2016-02-10 11:46 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 06:13:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log, server.log, engine.log (995.19 KB, application/x-gzip)
2015-09-01 08:09 EDT, Natalie Gavrielov
no flags Details

  None (edit)
Description Natalie Gavrielov 2015-09-01 08:09:02 EDT
Created attachment 1068979 [details]
vdsm.log, server.log, engine.log

Description of problem:

Trying to create a storage domain, with storage type POSIX using NFS.
inputting upper case "NFS" fails.

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.12.master.el6.noarch

How reproducible:
100

Steps to Reproduce:
web-admin:
1. Create a new storage domain.
2. Choose "Storage Type" = "POSIX Compliant FS". 
3. Type in "VFS Type" field "NFS" (upper case).

Actual results:

Getting the following error:
1. Operation canceled
Error while executing action Add Storage Connection: Problem while trying to mount target

2. vdsm.log shows the following error:

Thread-176830::ERROR::2015-09-01 14:03:40,464::hsm::2454::Storage.HSM::(connectStorageServer) Could not connect to storageServer
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 2451, in connectStorageServer
    conObj.connect()
  File "/usr/share/vdsm/storage/storageServer.py", line 232, in connect
    six.reraise(t, v, tb)
  File "/usr/share/vdsm/storage/storageServer.py", line 224, in connect
    self._mount.mount(self.options, self._vfsType, cgroup=self.CGROUP)
  File "/usr/share/vdsm/storage/mount.py", line 225, in mount
    return self._runcmd(cmd, timeout)
  File "/usr/share/vdsm/storage/mount.py", line 241, in _runcmd
    raise MountError(rc, ";".join((out, err)))
MountError: (32, ";mount: unknown filesystem type 'NFS'\n")


Expected results:

Seems that there are a few options here:
1. "NFS" should work the same as "nfs" (support for upper/lower case).
2. A more informative error should be displayed to the user.
3. "VFS Type" label should refer to an explanation on how exactly to use it (just like in the admin guide)  

Additional info:
vdsm.log, server.log, engine.log
Comment 1 Tal Nisan 2015-09-01 08:51:42 EDT
Entering VFS type directly without using the "managed" options like NFS or gluster is an advanced option like entering custom mount options and is transferred directly to the mount command thus the VFS type should be written exactly as you would have write it in the mount command i.e. lowercase for that matter
Comment 2 Aharon Canan 2015-09-01 08:57:55 EDT
2 options here - 

1. Block the option to set NFS/nfs from POSIX as it should be set using NFS domain.
2. make this bug RFE and start supporting upper case as well.
Comment 3 Aharon Canan 2015-09-01 08:59:47 EDT
forgot the 3th option - 

Set more informative message (like appears in VDSM log)
Comment 4 Allon Mureinik 2015-09-01 09:06:17 EDT
(In reply to Aharon Canan from comment #2)
> 2 options here - 
> 
> 1. Block the option to set NFS/nfs from POSIX as it should be set using NFS
> domain.
No.
This is a valid usecase.

> 2. make this bug RFE and start supporting upper case as well.
No, this is just WRONG.

(In reply to Aharon Canan from comment #3)
> forgot the 3th option - 
> 
> Set more informative message (like appears in VDSM log)
This does kind of make sense.
Tal - don't we already have a similar bug to track such a suggestion?
Comment 5 Tal Nisan 2015-09-02 11:04:18 EDT
Not that I recall
Comment 6 Sandro Bonazzola 2015-10-26 08:46:02 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 7 Tal Nisan 2015-10-29 06:13:07 EDT
After discussing the subject with Yaniv Dary, the custom mount option are an advanced settings, we do not want to force any validations on them and they are being transferred to the mount command as is

Note You need to log in before you can comment on or make changes to this bug.